{
  system,
  inputs,
  pkgs,
  ...
}: {
  stylix.enable = true;

  stylix.image = ./wallpaper.jpg;

  stylix.base16Scheme = "${pkgs.base16-schemes}/share/themes/everforest.yaml";

  home-manager.sharedModules = [
    {
      programs.vscode = {
        extensions = with inputs.nix-vscode-extensions.extensions.${system}; [
          vscode-marketplace.sainnhe.everforest
          vscode-marketplace.vscode-icons-team.vscode-icons
        ];
        userSettings = {
          "workbench.colorTheme" = "Everforest Dark";
          "workbench.iconTheme" = "vscode-icons";
        };
      };

      stylix.cursor = {
        name = "Breeze";
        size = 24;
      };
    }
  ];

  stylix.cursor = {
    name = "Breeze";
    size = 24;
  };

  stylix.fonts = {
    serif = {
      package = pkgs.dejavu_fonts;
      name = "DejaVu Serif";
    };

    sansSerif = {
      package = pkgs.dejavu_fonts;
      name = "DejaVu Sans";
    };

    monospace = {
      package = pkgs.nerdfonts.override {fonts = ["JetBrainsMono"];};
      name = "JetBrainsMono Nerd Font";
    };

    emoji = {
      package = pkgs.noto-fonts-emoji;
      name = "Noto Color Emoji";
    };
  };
}
